io.vertx.core.http

## Interface WebSocketFrame

-     public interface WebSocketFrame

  A WebSocket frame that represents either text or binary data.

  A WebSocket message is composed of one or more WebSocket frames.

  If there is a just a single frame in the message then a single text or binary frame should be created with final = true.

  If there are more than one frames in the message, then the first frame should be a text or binary frame with final = false, followed by one or more continuation frames. The last continuation frame should have final = true.

  Version:
    $Rev: 2080 $, $Date: 2010-01-26 18:04:19 +0900 (Tue, 26 Jan 2010) $
  Author:
    The Netty Project, Trustin Lee, Tim Fox

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static WebSocketFrameFactory` | `factory`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `Buffer` | `binaryData()`
    `static WebSocketFrame` | `binaryFrame(Buffer data, boolean isFinal)` Create a binary WebSocket frame.
    `static WebSocketFrame` | `continuationFrame(Buffer data, boolean isFinal)` Create a continuation frame
    `boolean` | `isBinary()`
    `boolean` | `isContinuation()`
    `boolean` | `isFinal()`
    `boolean` | `isText()`
    `String` | `textData()`
    `static WebSocketFrame` | `textFrame(String str, boolean isFinal)` Create a text WebSocket frame.

- - ### Field Detail

    - #### factory

          static final WebSocketFrameFactory factory

  - ### Method Detail

    - #### binaryFrame

          static WebSocketFrame binaryFrame(Buffer data,
                                            boolean isFinal)

      Create a binary WebSocket frame.
      Parameters:
        `data` - the data for the frame
        `isFinal` - true if it's the final frame in the WebSocket message
      Returns:
        the frame

    - #### textFrame

          static WebSocketFrame textFrame(String str,
                                          boolean isFinal)

      Create a text WebSocket frame.
      Parameters:
        `str` - the string for the frame
        `isFinal` - true if it's the final frame in the WebSocket message
      Returns:
        the frame

    - #### continuationFrame

          static WebSocketFrame continuationFrame(Buffer data,
                                                  boolean isFinal)

      Create a continuation frame
      Parameters:
        `data` - the data for the frame
        `isFinal` - true if it's the final frame in the WebSocket message
      Returns:
        the frame

    - #### isText

          boolean isText()

      Returns:
        true if it's a text frame

    - #### isBinary

          boolean isBinary()

      Returns:
        true if it's a binary frame

    - #### isContinuation

          boolean isContinuation()

      Returns:
        true if it's a continuation frame

    - #### textData

          String textData()

      Returns:
        the content of this frame as a UTF-8 string and returns the converted string. Only use this for text frames.

    - #### binaryData

          Buffer binaryData()

      Returns:
        the data of the frame

    - #### isFinal

          boolean isFinal()

      Returns:
        true if this is the final frame.

Copyright © 2015. All rights reserved.